Package io.vertx.reactivex

## Class ContextScheduler.ContextWorker

- java.lang.Object
- - io.reactivex.Scheduler.Worker
  - - io.vertx.reactivex.ContextScheduler.ContextWorker

- All Implemented Interfaces:
    `Disposable`
  Enclosing class:
    ContextScheduler

      public class ContextScheduler.ContextWorker
      extends Scheduler.Worker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextWorker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `countActions()` |
    `void` | `dispose()` |
    `boolean` | `isDisposed()` |
    `Disposable` | `schedule​(Runnable action)` |
    `Disposable` | `schedule​(Runnable action, long delayTime, TimeUnit unit)` |
    `Disposable` | `schedulePeriodically​(Runnable action, long initialDelay, long period, TimeUnit unit)` |

    - ### Methods inherited from class io.reactivex.Scheduler.Worker

      `now`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextWorker

          public ContextWorker()

  - ### Method Detail

    - #### countActions

          public int countActions()

    - #### schedule

          public Disposable schedule​(Runnable action)

      Overrides:
        `schedule` in class `Scheduler.Worker`

    - #### schedule

          public Disposable schedule​(Runnable action,
                                     long delayTime,
                                     TimeUnit unit)

      Specified by:
        `schedule` in class `Scheduler.Worker`

    - #### schedulePeriodically

          public Disposable schedulePeriodically​(Runnable action,
                                                 long initialDelay,
                                                 long period,
                                                 TimeUnit unit)

      Overrides:
        `schedulePeriodically` in class `Scheduler.Worker`

    - #### dispose

          public void dispose()

    - #### isDisposed

          public boolean isDisposed()